<?php
/*
Plugin Name: Savoir Inutile
Plugin URI: http://www.savoir-inutile.com
Description: Affiche de facon aléatoire des connaissances du site Savoir Inutile.
Version: 1.0
Licence: GPL
Author: Savoir Inutile
Author URI: http://www.savoir-inutile.com/
*/
 
 
 
class SavoirInutile_Widget extends WP_Widget{
	   function SavoirInutile_Widget() {
	      $widget_ops = array(
	         'classname' => 'SavoirInutile_Widget', // l'identifiant du widget
	         'description' => 'Affiche de facon aléatoire des connaissances du site Savoir Inutile.' ); // la description
	 
	      $this->WP_Widget	('SavoirInutile_Widget', 'Savoir Inutile', $widget_ops);
	   }
	   
function widget($args, $instance) {
	
			extract( $args );

		$optDisplayImage = (bool) $instance['optDisplayImage'];

		$url = esc_url_raw(strip_tags( 'http://www.savoir-inutile.com/feed/plugins' ));

		$rss = fetch_feed($url);
	if ( is_wp_error($rss) ) {
		if ( is_admin() || current_user_can('manage_options') )
			echo '<p>' . sprintf( __('<strong>RSS Error</strong>: %s'), $rss->get_error_message() ) . '</p>';
		return;
	}
?>

<table cellspacing="0" cellpadding="0" width="100%">
	<tbody>
<?php
	if ($optDisplayImage) {
	echo '<tr><td align="center"><a target="_blank" href="http://www.savoir-inutile.com"><img src="'.get_option('siteurl').'/wp-content/plugins/wp-savoirinutile/img/silogo.gif" style="vertical-align:middle;" border="0"></a><a target="_blank" style="color:#4187CE;" href="http://www.savoir-inutile.com">Savoir-Inutile.com</a></td></tr>';
	}
?>
	<tr>
		<td align="center">
		<?php
			foreach ( $rss->get_items(0, 1) as $item ) {
				$desc = str_replace( array("\n", "\r"), ' ', esc_attr( strip_tags( @html_entity_decode( $item->get_description(), ENT_QUOTES, get_option('blog_charset') ) ) ) );
				$desc = esc_html( $desc );
				echo $desc;
			}
		?>
		</td>
	</tr>
<?php
	if (!$optDisplayImage) {
	echo '<tr><td align="right" style="padding-top:10px;" ><a style="color:#4187CE;" target="_blank" href="http://www.savoir-inutile.com">http://www.savoir-inutile.com</a></td></tr>';
	}
?>
	</tbody></table>
	<?php

	}
	 
	function update($new_instance, $old_instance) {

		$instance = $old_instance;

		$instance['optDisplayImage'] = isset($new_instance['optDisplayImage']);

		wp_cache_delete( 'savoirinutile-' . $this->number , 'widget' );

		return $instance;

	}

function form($instance) {
		$instance = wp_parse_args( (array) $instance, array('optDisplayImage' => true) );

		$optDisplayImage = (bool) $instance['optDisplayImage'];

	?>
		<p>
			<label for="savoirinutile_DisplayImage">
				<input id="<?php echo $this->get_field_id('optDisplayImage')?>" name="<?php echo $this->get_field_name('optDisplayImage')?>" type="checkbox" value="1" <?php if ( $optDisplayImage ) echo 'checked="checked"'; ?>/>
				<?php _e('Afficher le logo Savoir Inutile?'); ?>
			</label>
		</p>

	<?php

	}
} 

add_action( 'widgets_init', 'savoirinutile_widget_init' );
function savoirinutile_widget_init() {
	register_widget('SavoirInutile_Widget');
}
 
?>